| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_typename_A

BOOST_PROTO_typename_A — Generates sequences like `typename A0, typename A1, ... typename AN-1` .

## Synopsis

    // In header: <boost/proto/repeat.hpp>

    BOOST_PROTO_typename_A(N)

## Description

Intended for use with the `BOOST_PROTO_REPEAT()` and `BOOST_PROTO_LOCAL_ITERATE()` macros.

`BOOST_PROTO_typename_A(`N`)` generates sequences like:

    typename A0, typename A1, ... typename AN-1